none
Exchange 2010からのバージョンアップについて RRS feed

  • 質問

  • お世話になっております。

    今回、Exchange2010からExchange2013への移行を行い、テストを行いたいと思うのですが、
    Windows Server 2012に、Exchange2013をセットアップする際に、以下のエラーが発生し、インストールが行えません。

    エラー内容****************************************************
    Error:
    All Exchange 2010 servers in the organization must have Exchange 2010 Service Pack 3 or later installed.
    For more information, visit: http://technet.microsoft.com/library(EXCHG.150)/ms.exch.setupreadiness.E15E14CoexistenceMinMajorVersionRequirement.aspx

    Warning:
    All Exchange 2010 servers in the organization must have Exchange 2010 Service Pack 3 or later installed.
    For more information, visit: http://technet.microsoft.com/library(EXCHG.150)/ms.exch.setupreadiness.E15E14CoexistenceMinVersionRequirement.aspx

    ************************************************************

    メッセージを見ると、既存のExchange環境はExchange2010 SP3以降がインストールされる必要があると読めるのですが、
    対象となる環境は、メールボックス、HUB/CAS、EdgeすべてExchange2010 SP3にバージョンアップしており、
    Exchange組織内にExchange2003もExchange2007も存在しない状態です。

    気になる点として、このExchange2010組織は、過去にExchange2003からバージョンアップした組織という点です。
    Exchange2003から、Exchange2010に移行したときは、最後に以下の作業を実施しました。

    Exchange 2010 組織から最後の従来の Exchange サーバーを削除する
    http://technet.microsoft.com/ja-jp/library/gg576862(v=exchg.141).aspx

    また、ADからは旧Exchange2003サーバーのコンピューターアカウントは削除してありますが、
    もしかすると、AD上の情報に、まだExchange2003が居るという情報が残っている可能性も捨てきれません。

    とりあえずどこから手を付けてよいかわからない状態です。
    まずは、どこを調べていけばよいか、ご教示願えますでしょうか。

    2013年6月13日 5:00

回答

  • 他のサーバーの存在が気になるようであれば、まずは以下のあたりをご確認ください。


    ■ コマンドレットでの確認
    以下のコマンドレットで不明なサーバーがないかとバージョンを確認します。(Exchange 2010 SP3 は 14.3 です。)
    Get-ExchangeServer | FT Name, AdminDisplayVersion


    ■ ADSI エディターでの確認
    ADSI エディターで以下を展開します。
    CN=Configuration DC=Domain,DC=com, CN=Services, CN=Microsoft Exchange, CN=OrgName, CN=Administrative Groups

    配下に、Exchange 2007 以降の管理グループと、Exchange 2003 で使っていた管理グループが表示されると思います。
    CN=Exchange Administrative Group (FYDIBOHF23SPDLT)
    CN=First Administrative Group

    それぞれの配下の Servers に不明なサーバーがいないかとそれぞれの serialNumber 属性を確認します。

    • 回答の候補に設定 佐伯玲 2013年6月17日 0:06
    • 回答としてマーク 吉田 誠 2013年6月17日 2:11
    • 回答としてマークされていない 吉田 誠 2013年6月17日 2:12
    • 回答としてマーク 吉田 誠 2013年6月17日 2:21
    • 回答としてマークされていない 吉田 誠 2013年6月17日 2:21
    • 回答としてマーク 吉田 誠 2013年6月17日 2:26
    2013年6月14日 23:35

すべての返信

  • 他のサーバーの存在が気になるようであれば、まずは以下のあたりをご確認ください。


    ■ コマンドレットでの確認
    以下のコマンドレットで不明なサーバーがないかとバージョンを確認します。(Exchange 2010 SP3 は 14.3 です。)
    Get-ExchangeServer | FT Name, AdminDisplayVersion


    ■ ADSI エディターでの確認
    ADSI エディターで以下を展開します。
    CN=Configuration DC=Domain,DC=com, CN=Services, CN=Microsoft Exchange, CN=OrgName, CN=Administrative Groups

    配下に、Exchange 2007 以降の管理グループと、Exchange 2003 で使っていた管理グループが表示されると思います。
    CN=Exchange Administrative Group (FYDIBOHF23SPDLT)
    CN=First Administrative Group

    それぞれの配下の Servers に不明なサーバーがいないかとそれぞれの serialNumber 属性を確認します。

    • 回答の候補に設定 佐伯玲 2013年6月17日 0:06
    • 回答としてマーク 吉田 誠 2013年6月17日 2:11
    • 回答としてマークされていない 吉田 誠 2013年6月17日 2:12
    • 回答としてマーク 吉田 誠 2013年6月17日 2:21
    • 回答としてマークされていない 吉田 誠 2013年6月17日 2:21
    • 回答としてマーク 吉田 誠 2013年6月17日 2:26
    2013年6月14日 23:35
  • お世話になっております。
    返信遅くなりまして申し訳ありません。

    >以下のコマンドレットで不明なサーバーがないかとバージョンを確認します。(Exchange 2010 SP3 は 14.3 です。)
    >Get-ExchangeServer | FT Name, AdminDisplayVersion

    上記コマンドをMailboxサーバーで実行してみたところ、Edgeサーバーのバージョンが14.2となっていました。
    Edgeサーバー上で、Get-ExchangeServerを実行したところ、14.3となっていたので安心してしまっていました。

    再度、Edge Subscriptionを設定しなおしたところ、Mailboxサーバー上でも、Edgeサーバーのバージョンが
    14.3となり、無事インストールに進むことができました。

    SP3適用がだいぶ前で、これまで正常に動作していたので、、手順書の「Edge Subscriptionの再構成が必要です」を
    見落としていたようです。

    本件、無事解決いたしました。
    ご回答ありがとうございました。

    2013年6月17日 2:26